function mini_create ()
  show_help_wnd=true;
  init_mini(1);
  create_mini(21,6,4,6,false,177,129,64,62,504); -- Корова бык
  -- create_mini(8128);
  -- finish_mini_game(true);
end;
--function mini_msg_proc (id)
function gameinput (sender,id,attachedID)

  if sender==30 then
  BlockCursor(false);
    setcurentleaf("hotel",2,0);  
      flags.nohints=false;
    if flags.minicomplete9 then  
      Set_Cursor(42,3)
      StopEmiter("pu4ok"); 
      AddParticleToObject(50,"Svet",570,300);
      MoveEmiter("Svet",570,300);
      if not flags.minicomplete33 then
        StartEmiter("Svet");
      end;      
      set_visible_object(50,true)
      speciale_action(2,444,true);  
      speciale_action(4,444);  
      -- setcurentleaf("hotel",2,0);
      playeffect("29");
    return; end;
  return; end;
  
  if sender==10 then
    flags.minicomplete9=true;
    -- CreateWindow(200,250,"40",1,"m&i",63,107,"0026",246,13);
     -- clear_satelite_leaf("hotel");
    StartTimer(2100,1)
    BlockCursor(true);
  return; end;
  if sender==37 then
     skipping=true;
  return;end;
  if sender==36 and id==2100 then
     clear_satelite_leaf("hotel");
  return;end;  
  -- if sender==26 then
    -- if id==1 then
      -- clear_satelite_leaf("hotel");
    -- return; end;
  -- return; end;
  -- if sender==36 then
      if sender==26 then
  if id==100 then
  set_visible_object(5001,true)
  end;
  return;end;
  -- return;end;  
  if sender==100 then
    if not help then
      CreateWindow(200,200,"1",100,"messageinfo",30-6,50-15)
      --playeffect("01");
      help=true;
    end;
  return;end;
    if pause_state then
    if sender==1 or sender==6 or sender==14 then
      pause_state=false;
      --set_visible_object(11111,false);
    end;  
  return;end;
  if sender==1 then
    if id==6000 then
    helpbtn=true;  
    return;end;
    if id==5000 and skipping then
      if not flags.minicomplete15 then
        finish_mini_game(true);
      return;end;  
    return;end;
    if id==500 then
        playeffect("17");  
      if not flags.minicomplete9 then
      finish_mini_game(false);
      clear_satelite_leaf("hotel");
      DeleteResource(    "m9_close"  );
      DeleteResource(    "m9_notes"  );
      DeleteResource(    "m9_marks"  );
      DeleteResource(    "m9_pe4ati");
      DeleteResource(    "m9_fon"  );
      DeleteResource(    "teni"  );
    return;end; 
    end;
    if id>=504 and id<=509 then
      fGame=true;
      add_to_mouse(id);
      objectid=id;
      speciale_action(2,id-100)
    return; end  
    return; end;
  if sender==6 then
    if helpbtn then
       CreateWindow(200,200,"1",100,"messageinfo",30-6,50-15)
           playeffect("11");
      helpbtn=false;
    end;
    if fGame==true then
          playeffect("14");
        RemoveFromMouse(objectid);  
      speciale_action(2,objectid-100)
      check_mini_game_CAB(objectid);
      fGame=false;
      objectid=0;
     return;end;  
  return; end;
    -- return; end;  
end;
function mini_delete ()

end;